## org.codehaus.plexus.component.composition
Class CompositionException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.codehaus.plexus.component.composition.CompositionException

All Implemented Interfaces:
  java.io.Serializable

    public class CompositionException

extends java.lang.Exception

Thrown when component composition goes awry.

Version:
  $Id: CompositionException.java 5469 2007-01-19 07:48:21Z eredmond $
Author:
  Jason van Zyl, Michal Maczka
See Also:
  Serialized Form

Constructor Summary
`CompositionException(java.lang.String message)` Construct a new `CompositionException` instance.
`CompositionException(java.lang.String message, java.lang.Throwable throwable)` Construct a new `CompositionException` instance.

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CompositionException

    public CompositionException(java.lang.String message)

  Construct a new `CompositionException` instance.

  Parameters:
    `message` - The detail message for this exception.

### CompositionException

    public CompositionException(java.lang.String message,
                                java.lang.Throwable throwable)

  Construct a new `CompositionException` instance.

  Parameters:
    `message` - The detail message for this exception.
    `throwable` - the root cause of the exception

Copyright © 2011. All Rights Reserved.